require 'rspec'
require_relative '../lib/exe_comparedeterminations'

describe 'EXE CompareDeterminations' do

  let(:po_file) do
    File.join('spec','support','data','test_batch','file.po')
  end

  let(:compound_file) do
    File.join('spec','support','data','test_batch','file.json')
  end

  let(:filepath) do
    File.join('bin/plotter_test.png')
  end

  it 'should generate a PNG file' do

    plotter = Exe_CompareDeterminations.new po_file, compound_file

    retcode,rundetails = plotter.generate_png filepath

    expect(File.exists?(filepath)).to eq(true)

  end

  it 'should use provided filepath to ComapreDeterminations.py' do

    exe_filepath = "bogus/filepath/CompareDeterminations.py"

    plotter = Exe_CompareDeterminations.new po_file, compound_file, exe_filepath

    expect(plotter.exe_path).to eq("bogus/filepath/CompareDeterminations.py")

  end


  after :each do
    FileUtils.remove filepath if File.exists? filepath
  end


end